/*
  LiquidCrystal Library - Hello World

 Demonstrates the use a 16x2 LCD display.  The LiquidCrystal
 library works with all LCD displays that are compatible with the
 Hitachi HD44780 driver. There are many of them out there, and you
 can usually tell them by the 16-pin interface.

 This sketch prints "Hello World!" to the LCD
 and shows the time.

  The circuit:
 * LCD RS pin to digital pin 12
 * LCD Enable pin to digital pin 11
 * LCD D4 pin to digital pin 5
 * LCD D5 pin to digital pin 4
 * LCD D6 pin to digital pin 3
 * LCD D7 pin to digital pin 2
 * LCD R/W pin to ground
 * LCD VSS pin to ground
 * LCD VCC pin to 5V
 * 10K resistor:
 * ends to +5V and ground
 * wiper to LCD VO pin (pin 3)

 Library originally added 18 Apr 2008
 by David A. Mellis
 library modified 5 Jul 2009
 by Limor Fried (http://www.ladyada.net)
 example added 9 Jul 2009
 by Tom Igoe
 modified 22 Nov 2010
 by Tom Igoe

 This example code is in the public domain.

 http://www.arduino.cc/en/Tutorial/LiquidCrystal
 */

// This program merges original Arduino Codes: IRDecoder and HelloWorld (Ozgur Yavuzcetin)


// include the library code:
#include <LiquidCrystal.h>
#include <IRremote.h>

int IRPIN = 7;
IRrecv irrecv(IRPIN);
decode_results result;

// initialize the library with the numbers of the interface pins
LiquidCrystal lcd(12, 11, 5, 4, 3, 2);


void setup()
{
  Serial.begin(9600);
  Serial.println("Enabling IRin");
  irrecv.enableIRIn();
  irrecv.blink13(true);     //Enable blinking the LED when during reception. Because you can't see infrared light, blinking the LED can be useful while troubleshooting, or just to give visual feedback.
  Serial.println("Enabled IRin");

   // set up the LCD's number of columns and rows:
  lcd.begin(16, 2);
  // Print a message to the LCD.
  lcd.print("IR code in HEX");
}
void loop() 
{
    if (irrecv.decode(&result))   {     //Attempt to receive a IR code. Returns true if a code was received, or false if nothing received yet. When a code is received, information is stored into "results".

if (result.decode_type == NEC) {         //results.decode_type: Will be one of the following: NEC, SONY, RC5, RC6, or UNKNOWN. 

  lcd.setCursor(0, 1);
  lcd.print("                ");      //Clears second row of LCD
  lcd.setCursor(0, 1);
  lcd.print(result.value, HEX);
  
      lcd.print(" NEC");
    } else if (result.decode_type == SONY) {
      lcd.print(" SONY");
    } else if (result.decode_type == RC5) {
      lcd.print(" RC5");
    } else if (result.decode_type == RC6) {
      lcd.print(" RC6");
    } else if (result.decode_type == UNKNOWN) {
      lcd.print(" UNKNOWN");
    }

   
      
   // set the cursor to column 0, line 1
  // (note: line 1 is the second row, since counting begins with 0):
  
    irrecv.resume(); 
    }
  delay(500);
}





































